Bug 468195 - When installing Fedora using an existing /boot parition, /boot/menu.lst gets blown away
When installing Fedora using an existing /boot parition, /boot/menu.lst gets ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 10:59 EDT by Tim Wegener
Modified: 2010-01-12 10:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:32:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Wegener 2008-10-23 10:59:19 EDT
Description of problem:
I install updated Fedora releases in a multi-boot setup, using the same /boot partition for each Fedora setup. When installing Fedora, and pointing /boot to the existing /boot partition, the installer blows away my existing entries in /boot/menu.lst (grub.conf). I have to manually restore this file if I want to boot into my pre-existing Fedora setups.

Version-Release number of selected component (if applicable):
Fedora 10 beta (this happens in earlier Fedora releases as well)

How reproducible:
Always

Steps to Reproduce:
1. Install one Fedora setup with a separate /boot partition.
2. Install a new Fedora setup into a different partition, but using the same /boot partition, taking care not to format /boot.
3. Boot.
  
Actual results:
Existing entries in /boot/menu.lst get blown away. No backup file is created.

Expected results:
Kernel for new Fedora setup added to /boot/menu.lst in the same way as when updating kernels within one setup via yum. This should preserve existing entries.

Additional info:
Comment 1 Tim Wegener 2008-10-23 11:18:39 EDT
References to /boot/menu.lst, above, are meant to be /boot/grub/menu.lst
Comment 2 Bug Zapper 2008-11-25 23:09:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Cantrell 2009-03-23 16:29:05 EDT
Assuming you are not formatting your existing /boot partition, I would think grubby should preserve the existing menu.lst file.
Comment 4 Bug Zapper 2009-11-18 03:37:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tim Wegener 2009-11-18 08:40:00 EST
Nice try, bug-closing bot, but I'm pretty sure this bug is still present in Fedora 11 at least.
Comment 6 Hans de Goede 2010-01-12 10:32:04 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.